php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #10947 socket compile error for apache compiling
Submitted: 2001-05-17 23:41 UTC Modified: 2001-06-02 21:35 UTC
From: konlo at geonji dot co dot kr Assigned:
Status: Closed Package: Sockets related
PHP Version: 4.0.5 OS: SunOS 5.6
Private report: No CVE-ID: None
Welcome back! If you're the original bug submitter, here's where you can edit the bug or add additional notes.
If this is not your bug, you can add a comment by following this link.
If this is your bug, but you forgot your password, you can retrieve your password here.
Password:
Status:
Package:
Bug Type:
Summary:
From: konlo at geonji dot co dot kr
New email:
PHP Version: OS:

 

 [2001-05-17 23:41 UTC] konlo at geonji dot co dot kr
I compile php with --enable-sockets . The compile is finished successfully, but on compiling apache , 

this error message is reported in console 

how do I resolve this problem ?  

===> src/modules/php4
gcc -c  -I../../os/unix -I../../include   -DSOLARIS2=260 -I/user1/konlo/install_apache/php-4.0.5 -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5 -DUSE_EXPAT -I../../lib/expat-lite -DNO_DL_NEEDED `../../apaci`  mod_php4.c
cp libmodphp4.a libphp4.a
ar r libphp4.a mod_php4.o
ranlib libphp4.a
<=== src/modules/php4
<=== src/modules
gcc -c  -I./os/unix -I./include   -DSOLARIS2=260 -I/user1/konlo/install_apache/php-4.0.5 -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5 -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` modules.c
gcc -c  -I./os/unix -I./include   -DSOLARIS2=260 -I/user1/konlo/install_apache/php-4.0.5 -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5 -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` buildmark.c
gcc  -DSOLARIS2=260 -I/user1/konlo/install_apache/php-4.0.5 -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/main -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/Zend -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5/TSRM -I/user1/konlo/install_apache/php-4.0.5 -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci`    \
      -o httpd buildmark.o modules.o  modules/php4/libphp4.a  modules/standard/libstandard.a  main/libmain.a  ./os/unix/libos.a  ap/libap.a  lib/expat-lite/libexpat.a  -R/usr/ucblib -R/usr/local/lib/gcc-lib/sparc-sun-sunos5.6/2.95.2  -L/usr/ucblib -L/usr/local/lib/gcc-lib/sparc-sun-sunos5.6/2.95.2 -Lmodules/php4 -L../modules/php4 -L../../modules/php4 -lmodphp4  -lpam  -ldl -lresolv -lresolv -lm -ldl -lcrypt -lnsl -lsocket  -lsocket -lgcc   -lsocket -lnsl
Undefined                       first referenced
 symbol                             in file
hstrerror                           modules/php4/libphp4.a(sockets.o)
ld: ġ????: ??ȣ ???? ????. httpd?? ?????? ???ϵ??? ????
collect2: ld returned 1 exit status
*** Error code 1
make: Fatal error: Command failed for target `target_static'
Current working directory /user1/konlo/install_apache/apache_1.3.19/src
*** Error code 1
make: Fatal error: Command failed for target `build-std'
Current working directory /user1/konlo/install_apache/apache_1.3.19
*** Error code 1
make: Fatal error: Command failed for target `build'

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-06-02 21:35 UTC] sniper@php.net
This should be fixed with PHP 4.0.6, please try the 
latest release candidate:

http://www.php.net/~andi/php-4.0.6RC2.tar.gz

-Jani

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Tue Aug 16 09:05:44 2022 UTC